Skip to main content

[GET] /external/v1/wallets

Overview

Returns a paginated list of wallets for the authenticated merchant.

Authentication

Requires an API key. See Authentication.

Query Parameters

This endpoint supports pagination query parameters, including page and size. See Pagination.

Response

Returns an ApiResponse<Wallet[]>.

FieldTypeDescription
codestringResponse code. Successful responses use ok.
messagestringHuman-readable response message.
pagingobjectPagination metadata. See Pagination.
dataWallet[]Wallets returned for the requested page.

Example Request

GET /external/v1/wallets?page=1&size=10

Example Response

{
"code": "ok",
"message": "Ok.",
"paging": {
"size": 10,
"page": 1,
"count": 1,
"limit": 10,
"totalCount": 1,
"totalPages": 1
},
"data": [
{
"id": "WT0ir6F1",
"status": "active",
"networkEndpoint": {
"type": "blockchain",
"provider": "tron",
"identifier": "TQPipjn73wBnKDodCtZAUCLoMdsgjBc3K5",
"blockchainDetail": {
"chainId": "3448148188",
"address": "TQPipjn73wBnKDodCtZAUCLoMdsgjBc3K5"
}
},
"createdAt": "2026-05-12T03:13:16.200Z",
"updatedAt": "2026-05-12T03:13:16.200Z",
"assets": [
{
"currencyCode": "USDT",
"nickname": "Timothee Wallet (USDT)",
"balance": {
"availableAmount": "61.0000000000000000",
"lockedAmount": "15.0000000000000000"
},
"createdAt": "2026-05-12T03:13:16.232Z",
"updatedAt": "2026-05-12T03:13:16.232Z"
},
{
"currencyCode": "TRX",
"nickname": "Timothee Wallet (TRX)",
"balance": {
"availableAmount": "0.0000000000000000",
"lockedAmount": "0.0000000000000000"
},
"createdAt": "2026-05-12T03:13:16.232Z",
"updatedAt": "2026-05-12T03:13:16.232Z"
}
]
}
]
}

Error Responses

All error responses use ErrorResponse.

HTTP StatusCodeMessageDescription
400bad_requestValidation error messageThe request failed gateway-level validation, such as an invalid pagination value.
401unauthorizedUnauthorized.The API key is missing or invalid.
403forbiddenForbidden.The authenticated caller is not allowed to access this resource.